#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Test Drag and Drop en python3 avec fichier jpg oo jpeg
# Ribouldingue
#

from gi.repository import Gtk, Gdk
import imghdr

def on_drag_data_received( widget, drag_context, x,y, data,info, time):
	print( "on_drag_data_received" )
	for uri in data.get_uris():
		print( uri )
		name_file = uri[ 7: ]
		print( name_file )
		try:
			type_file = imghdr.what( name_file )
			print( "TYPE FILE = ", type_file )
			if type_file == 'jpg' or type_file == 'jpeg':
				print( "IS JPG FILE" )
			else:
				print( "No JPG FILE")
		except:
			print( "No JPG FILE")

w = Gtk.Window()
w.set_title( "dnd_jpg by Ribouldingue" )
w.set_size_request(400, 200)

w.drag_dest_set(
	Gtk.DestDefaults.MOTION |
	Gtk.DestDefaults.HIGHLIGHT |
	Gtk.DestDefaults.DROP,
	[Gtk.TargetEntry.new("text/uri-list", 0, 80)],
	Gdk.DragAction.COPY,
	)
w.connect("drag-data-received", on_drag_data_received)
w.connect('destroy', lambda w: Gtk.main_quit())
widget_label = Gtk.Label()
widget_label.set_label( "Import and drop an object here and look at\nthe comments from the text window ..." )
w.add( widget_label )
w.show_all()

Gtk.main()
